Page MenuHomeFreeBSD

lualoader: Add config.lua(8) to the tree
ClosedPublic

Authored by kevans on Mar 24 2018, 4:29 AM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

kevans created this revision.Mar 24 2018, 4:29 AM

Just a note: Anywhere I wrote {kernel} is because I couldn't come up with a better markup. I have no idea what the ideal syntax is for "this is a path with this variable substituted in" rather than "this is a path with this variable name literally in it"

rpokala requested changes to this revision.Jun 8 2018, 3:48 AM
rpokala added inline comments.
stand/lua/config.lua.8
5 ↗(On Diff #40672)

Per discussions over the last few months, remove "All rights reserved."

109 ↗(On Diff #40672)

I think config.loadKernel needs a re-write. As it stands, if says that if you don't specify the new kernel to load, it will attempt to load a module named kernel, and that it will try {kernel} (with no /boot/ prefix) twice.

143 ↗(On Diff #40672)

"restore the environment" to what?

This revision now requires changes to proceed.Jun 8 2018, 3:48 AM

Just a note: Anywhere I wrote {kernel} is because I couldn't come up with a better markup. I have no idea what the ideal syntax is for "this is a path with this variable substituted in" rather than "this is a path with this variable name literally in it"

Perhaps ${kernel}, a la Bourne?

kevans updated this revision to Diff 43493.Jun 9 2018, 2:46 PM

I rewrote some things around all of your comments, but it's early. =) The config.loadKernel was mostly-ish correct, but I rewrote the {kernel} instances to {other_kernel} and rewrote other parts for clarity. I also added some paragraph breaks for additional clarity (hopefully).

0mp accepted this revision as: 0mp.Aug 1 2018, 3:36 PM
0mp added a subscriber: 0mp.

I've reviewed the mdoc side of this change. Looks fine!

BTW, should we add some cross-references from other manpages to config.lua(8)?

In D14819#351249, @0mp wrote:

I've reviewed the mdoc side of this change. Looks fine!
BTW, should we add some cross-references from other manpages to config.lua(8)?

Thanks! I'll add all appropriate cross-references once I've got the complete set of manpages up.

This revision was not accepted when it landed; it landed in state Needs Review.Aug 19 2018, 3:07 PM
This revision was automatically updated to reflect the committed changes.